LPARAM lcDump,loDump,lcFlags

**************************************************************************
** Program name: dumpfll2lst.PRG
** Version: 0.0.1
** Create date: 2005-01-08
** Description: Save FLL functions from dump fll to list file
** Author: Martin Jindra
** E-mail: martin.jindra@egservis.cz
** CP: 1250

CLEAR
IF PCOUNT()<2 OR TYPE("lcDump")#"C" OR TYPE("loDump")#"O"
   ?"Parameter panic"
ENDIF

IF PCOUNT()<3
   lcFlags=""
ENDIF

#INCLUDE "dumpfll.h"
LOCAL lii,loObj,loData

IF !__StartDoc(lcDump)
   ?"Cannot create dump file."
   RETURN
ENDIF

FOR lii=1 TO loDump.iNumberOfSections
    loObj=loDump.aSectionHeader(lii)
    IF loObj.cName==".data"
       loData=loDump.aSectionHeader(lii)
    ENDIF
NEXT


IF loDump.iFoxTable>0 AND loDump.aFoxTable(_aFT_Count)>0
   FOR lii=1 TO loDump.aFoxTable(_aFT_Count)
       loObj=loDump.aFoxInfo(lii)
       IF m.lii=1
          \\<<loObj.cFuncName>>
       ELSE
          \<<loObj.cFuncName>>
       ENDIF
       \\;<<TRANSFORM(loObj.FPFI,"@0")>>
       \\;<<LTRIM(STR(loObj.iParmCount,11))>>
       \\;<<loObj.cParmTypes>>
       \\;<<TRANSFORM(loDump.VRAToRA(loObj.iPointer),"@0")>>
   NEXT
ENDIF
=__StopDoc()



******************************************
PROCEDURE __StartDoc(lcFile)
* lcFile - Nzev vstupnho souboru
LOCAL llErr,lcErr,lcSF
SET CONSOLE OFF
IF !EMPTY(lcFile)
   SET TEXTMERGE ON
   lcErr=ON("ERROR")
   ON ERROR llErr=.T.
   lcSF=SET("SAFETY")
   SET SAFETY OFF
   SET TEXTMERGE TO (lcFile)
   IF EMPTY(lcErr)
      ON ERROR
   ELSE
      ON ERROR &lcErr.
   ENDIF
   IF lcSF=="ON"
      SET SAFETY ON
   ELSE
      SET SAFETY OFF
   ENDIF
ELSE
   llErr=.T.
ENDIF
RETURN !llErr
ENDPROC

******************************************
PROCEDURE __StopDoc
SET CONSOLE OFF
SET TEXTMERGE TO
SET TEXTMERGE OFF
ENDPROC


